# Uses of Class
org.apache.lucene.codecs.hnsw.FlatVectorsReader

Packages that use FlatVectorsReader
Package
Description
org.apache.lucene.codecs.hnsw
HNSW vector helper classes.
org.apache.lucene.codecs.lucene102
Lucene 10.2 file format.
org.apache.lucene.codecs.lucene99
Lucene 9.9 file format.

- ## Uses of FlatVectorsReader in org.apache.lucene.codecs.hnsw

  Methods in org.apache.lucene.codecs.hnsw that return FlatVectorsReader
  Modifier and Type
  Method
  Description
  `abstract FlatVectorsReader`
  FlatVectorsFormat.`fieldsReader(SegmentReadState state)`
  Returns a `KnnVectorsReader` to read the vectors from the index.
  `FlatVectorsReader`
  FlatVectorsReader.`getMergeInstance()`
  Returns an instance optimized for merging.

- ## Uses of FlatVectorsReader in org.apache.lucene.codecs.lucene102

  Methods in org.apache.lucene.codecs.lucene102 that return FlatVectorsReader
  Modifier and Type
  Method
  Description
  `FlatVectorsReader`
  Lucene102BinaryQuantizedVectorsFormat.`fieldsReader(SegmentReadState state)`

- ## Uses of FlatVectorsReader in org.apache.lucene.codecs.lucene99

  Subclasses of FlatVectorsReader in org.apache.lucene.codecs.lucene99
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene99FlatVectorsReader`
  Reads vectors from the index segments.
  `final class`
  `Lucene99ScalarQuantizedVectorsReader`
  Reads Scalar Quantized vectors from the index segments along with index data structures.
  Methods in org.apache.lucene.codecs.lucene99 that return FlatVectorsReader
  Modifier and Type
  Method
  Description
  `FlatVectorsReader`
  Lucene99FlatVectorsFormat.`fieldsReader(SegmentReadState state)`
  `FlatVectorsReader`
  Lucene99ScalarQuantizedVectorsFormat.`fieldsReader(SegmentReadState state)`
  `FlatVectorsReader`
  Lucene99FlatVectorsReader.`getMergeInstance()`
  Constructors in org.apache.lucene.codecs.lucene99 with parameters of type FlatVectorsReader
  Modifier
  Constructor
  Description
  ``
  `Lucene99HnswVectorsReader(SegmentReadState state, FlatVectorsReader flatVectorsReader)`
  ``
  `Lucene99ScalarQuantizedVectorsReader(SegmentReadState state, FlatVectorsReader rawVectorsReader, FlatVectorsScorer scorer)`